JavaScript/jQuery ButtonGroup - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the ButtonGroup features you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The ButtonGroup component complies to all Section 508 and WCAG 2.x standards criteria.

Keyboard Navigation

A user can use the following keys to interact with the ButtonGroup component:

Key Action
← ↑ or PageUp Moves focus to the previous button.
→ ↓ or PageDown Moves focus to the next button.
Home Moves focus to the first button.
End Moves focus to the last button.
Enter or Space Identical to a click.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

JavaScript
  • function registerKeyHandlers () {
  • const buttonGroup = $("#buttonGroupContainer").dxButtonGroup("instance");
  • buttonGroup.registerKeyHandler("backspace", function(e) {
  • // The argument "e" contains information on the event
  • });
  • buttonGroup.registerKeyHandler("space", function(e) {
  • // ...
  • });
  • }

Screen Reader Support

The ButtonGroup component supports screen readers and complies to WAI-ARIA standards.

Each button's aria label depends on the properties you use. If you specify the text property, its value is copied to the aria-label. If you do not specify text, but set the icon property, the icon can affect the aria label, depending on the value:

  • SVG
    The content of the title tag is copied to the aria label.

  • DevExtreme icon, font icon
    The icon name is copied to the aria label.

  • Path to the icon file
    The file name is copied to the aria label.

In other cases, use elementAttr to specify the aria-label directly.

React ButtonGroup - Accessibility

Accessibility Features Overview

NOTE
The overall accessibility level of your application depends on the ButtonGroup features you use.
Accessibility Requirement Support Level
Right-to-Left Support
Keyboard Navigation Support
Screen Reader Support
Contrast Color Theme
Mobile Device Support
Lighthouse Accessibility Validation
Axe Accessibility Validation
WAVE Accessibility Validation
Section 508 Support
WCAG 2.x Support
  • - All component features meet the requirement
  • - Some component features may not meet the requirement
  • - Accessibility requirement is not supported

Accessibility Standards Compliance

The ButtonGroup component complies to all Section 508 and WCAG 2.x standards criteria.

Keyboard Navigation

A user can use the following keys to interact with the ButtonGroup component:

Key Action
← ↑ or PageUp Moves focus to the previous button.
→ ↓ or PageDown Moves focus to the next button.
Home Moves focus to the first button.
End Moves focus to the last button.
Enter or Space Identical to a click.

Use the registerKeyHandler(key, handler) method to implement a custom handler for a key.

App.js
  • import React from 'react';
  • import 'devextreme/dist/css/dx.light.css';
  •  
  • import { ButtonGroup } from 'devextreme-react/button-group';
  •  
  • class App extends React.Component {
  • constructor(props) {
  • super(props);
  •  
  • this.buttonGroupRef = React.createRef();
  • }
  •  
  • render() {
  • return (
  • <ButtonGroup ref={this.buttonGroupRef} />
  • );
  • }
  •  
  • get buttonGroup() {
  • return this.buttonGroupRef.current.instance;
  • }
  •  
  • componentDidMount() {
  • this.buttonGroup.registerKeyHandler('backspace', function(e) {
  • // The argument "e" contains information on the event
  • });
  • this.buttonGroup.registerKeyHandler('space', function(e) {
  • // ...
  • });
  • }
  • }
  •  
  • export default App;

Screen Reader Support

The ButtonGroup component supports screen readers and complies to WAI-ARIA standards.

Each button's aria label depends on the properties you use. If you specify the text property, its value is copied to the aria-label. If you do not specify text, but set the icon property, the icon can affect the aria label, depending on the value:

  • SVG
    The content of the title tag is copied to the aria label.

  • DevExtreme icon, font icon
    The icon name is copied to the aria label.

  • Path to the icon file
    The file name is copied to the aria label.

In other cases, use elementAttr to specify the aria-label directly.